Name:          desktop-file-utils
Version:       0.24
Release:       1
Summary:       Desktop-file-utils contains utilities for manipulating desktop entries
License:       GPLv2+
URL:           https://www.freedesktop.org/software/desktop-file-utils
Source0:       https://www.freedesktop.org/software/desktop-file-utils/releases/%{name}-%{version}.tar.xz
Source1:       desktop-entry-mode-init.el

BuildRequires: glib2-devel emacs
Requires:      emacs-filesystem
Provides:      emacs-%{name} = %{version}-%{release} emacs-%{name}-el = %{version}-%{release}
Obsoletes:     emacs-%{name} < 0.20-3 emacs-%{name}-el < 0.20-3

%description
desktop-file-utils contains command line utilities for working with desktop entries, it contains:
desktop-file-validate:
   validates a desktop file and prints warnings/errors about desktop entry specification violations.
desktop-file-install:
   installs a desktop file to the applications directory, optionally munging it a bit in transit.
update-desktop-database:
   updates the database containing a cache of MIME types handled by desktop files.

%package help
Summary: Help documents for desktop-file-utils

%description help
Help document for desktop-file-utils.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build

%install
%make_install

install -d $RPM_BUILD_ROOT%{_emacs_sitelispdir}/%{name}
mv $RPM_BUILD_ROOT%{_emacs_sitelispdir}/*.el* $RPM_BUILD_ROOT%{_emacs_sitelispdir}/%{name}
install -Dpm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_emacs_sitestartdir}/desktop-entry-mode-init.el
touch $RPM_BUILD_ROOT%{_emacs_sitestartdir}/desktop-entry-mode-init.elc

%files
%doc AUTHORS
%license COPYING
%{_bindir}/*
%{_emacs_sitelispdir}/%{name}
%{_emacs_sitestartdir}/desktop-entry-mode-init.el
%ghost %{_emacs_sitestartdir}/desktop-entry-mode-init.elc

%files help
%doc README NEWS
%{_mandir}/man1/*

%changelog
* Thu Jan 9 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.24-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:upgrade to 0.24

* Mon Sep 9 2019 yanzhihua <yanzhihua4@huawei.com> - 0.23-10
- Package init

